Notes about 1.7.10

As you guys may have noticed, Forge for 1.7.10 has been released.

A lot of things have changed between 1.7.2 and 1.7.10, so a few of my mods for 1.7.2 aren’t working on 1.7.10 just yet.

Worst case scenario, I’ll have to bump up my Mods’ versions to 4.X.X for 1.7.10, which will most likely be the case.

Those that are confirmed not working (crashing/unintended behaviour, etc) are listed here:

  • All mods (that were available in 1.7.2) have a working 1.7.10 version now.

 

This list will continue to be updated until all mods in list are working/updated to 1.7.10.

 

Cheers,
iChun

16 Comments

  1. pugsleythewolf June 27, 2014 10:49 am  Reply

    when will portal and gravity gun be updated to 1.7?

    • ArcaneTech June 27, 2014 8:59 pm  Reply

      when they will be added on Forgecraft2

  2. Nikkey June 28, 2014 4:20 pm  Reply

    Is there a Morph for 1.7.2?

    • Awsomeness2435 July 29, 2014 3:31 am  Reply

      Yes

  3. Ally1177 June 29, 2014 6:50 am  Reply

    I hope you can update morph to 1.7 soon; it’s one of my favorites. Good luck updating!

  4. legokid84 June 29, 2014 8:50 pm  Reply

    DUDE update MORPH to 1,7,2 and 1.7.10.
    plz
    i making a modded lets play for 1.7.2 soon and i need morph and the new series begins…………..

  5. legokid84 June 29, 2014 8:52 pm  Reply

    god luck updateing it may take a while

  6. legokid84 June 29, 2014 8:54 pm  Reply

    typo

  7. Thunder June 30, 2014 8:44 pm  Reply

    hey IChun, i think that the Ichun Utils mod alse doesn’t work with the forge 1.7.10 build.
    whenever i start a world or join a server the game chrashes and gives me this error:
    http://pastebin.com/Tancacda
    although from what i make of it it could alse be a problem with forge, it doesnt happen when i start a world in minecraft, without any other mods.
    hope this helps!

  8. Noct July 3, 2014 7:24 am  Reply

    i really hope that morph at the very least can be updated to 1.7.2 its a great mod and would be awesome to have it. 1.7.10 is ok but its still new and since there has been a huge leap between why not update something to 1.7.2 for thos of us who play on 1.7.2 till forge can update.

  9. Person July 9, 2014 4:39 am  Reply

    One problem… Some mods are still stuck in 1.6 and if those mods don’t get updated by the time 1.7.10 iChun releases they might be stuck in 1.6 forever. I’m gonna end this message because it’s getting a little too long

  10. Paul_Enderman July 28, 2014 1:39 am  Reply

    hey, iChun, when will the Portal Gun Mod for Minecraft 1.7.10?
    Regards,
    Paul_Enderman

  11. Fran3478 September 16, 2014 1:02 am  Reply

    hi i have a crazy error i have minecraft 1.7.10 with forge 10.13.0.1180 (the recomended version) and the latest is 10.13.1.1217 but when i try to launch with ichunutil its say that the minimun version required is 10.13.0.1186 and it doesnt exist what could i do to fix that?

  12. Mina October 2, 2014 8:11 am  Reply

    is there portal 1.7.10?

  13. Mina October 2, 2014 8:11 am  Reply

    its pronounced miner

  14. Lucam2005 January 24, 2015 5:27 am  Reply

    There is no downlaod for 1.7.10 ir 1.7.2 and 1.6 versions, it stops at 1.5. Please add a download for 1.6 and 1.7 please! And what’s weird is that the front page says “this mod is for 1.7.10”.

Leave a comment

Your email address will not be published. Required fields are marked *